Subject: Re: [Question] Does CONFIG_XFRM_OFFLOAD depends any other configs?

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Aug 2024 18:05:25 -0700

On Tue, 20 Aug 2024 08:58:51 +0800 Hangbin Liu wrote:
> > It's a hidden config option, not directly controlled by the user.
> > You should enable INET_ESP_OFFLOAD and INET6_ESP_OFFLOAD instead
> > (which "select" it)  
> 
> Thanks for your reply. How to know if an option is hide other than review all
> `make menuconfig` result?

If it has no description after bool or tristate -- it will be hidden

> Should we add a "depends on" for XFRM_OFFLOAD?

You need it in bonding? You should use select (but not that select
doesn't resolve dependencies, it only enables that single option).